## org.biojavax.bio.seq
Class PositionResolver.MinimalResolver

    java.lang.Object
      org.biojavax.bio.seq.PositionResolver.MinimalResolver

All Implemented Interfaces:
  PositionResolver

Enclosing interface:
  PositionResolver

    public static class PositionResolver.MinimalResolver

extends Object
implements PositionResolver

The minimal resolver returns the base which provides the smallest possible range.

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.seq.PositionResolver
`PositionResolver.AverageResolver, PositionResolver.MaximalResolver, PositionResolver.MinimalResolver`

Constructor Summary
`PositionResolver.MinimalResolver()`

Method Summary
`int` `getMax(Position e)` Resolves the maximum possible base for this position. ALWAYS RETURNS e.getStart()
`int` `getMin(Position s)` Resolves the minimum possible base for this position. ALWAYS RETURNS s.getEnd()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionResolver.MinimalResolver

    public PositionResolver.MinimalResolver()

Method Detail

### getMin

    public int getMin(Position s)

  Resolves the minimum possible base for this position. ALWAYS RETURNS s.getEnd()

  Specified by:
    `getMin` in interface `PositionResolver`
  Parameters:
    `s` - the position to resolve
  Returns:
    the minimum possible base this resolver can return.

### getMax

    public int getMax(Position e)

  Resolves the maximum possible base for this position. ALWAYS RETURNS e.getStart()

  Specified by:
    `getMax` in interface `PositionResolver`
  Parameters:
    `e` - the position to resolve
  Returns:
    the maximum possible base this resolver can return.